Bug 105691 - --tree=<...> does not appear to work
--tree=<...> does not appear to work
Product: Fedora
Classification: Fedora
Component: redhat-config-packages (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-09-26 12:22 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-14 17:58:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2003-09-26 12:22:59 EDT
Description of problem:

If I do 
   redhat-config-packages  --isodir=<dir_where_iso_images_are>
then the rpms are found and can be installed.

However, if I do
   redhat-config-packages  --tree=<...>
then I get a message "The path <...> does not look like a valid installation

I have built a tree where I copied all of the files from the iso images.  I have
then used this tree to perform installs.  I have tried pointing --tree= to that
path that I use for NFS installs, to the RedHat direcotry under it and to the
RedHat/RPMS directory ... nothing works.

BTW, this tree was nfs mounted on the Fedora system.
Comment 1 Gene Czarcinski 2003-09-26 13:35:22 EDT
OK, I found the problem ... I was missing the .discinfo file.

I am going to leave this open because I believe that if the error message had
been a bit clearer (saying that the .discinfo file was missing), the "problem"
could have been easier to solve.  The description of building the tree in the
README file does not mention the .discinfo file.  Furthermore, the .discinfo
file does not appear to be needed by anaconda to do an install from the tree.
Comment 2 Jeremy Katz 2003-10-14 17:58:10 EDT
Updated readme

Note You need to log in before you can comment on or make changes to this bug.